glutGetModifiers(3GLUT)

NAME
glutGetModifiers - returns the modifier key state when certain callbacks were generated.

SYNTAX
#include <GLUT/glut.h>

int glutGetModifiers(void);

DESCRIPTION
glutGetModifiers returns the modifier key state at the time the input event for a keyboard, special, or mouse callback is generated. This routine may only be called while a keyboard, special, or mouse callback is being handled. The window system is permitted to intercept window system defined modifier key strokes or mouse buttons, in which case, no GLUT callback will be generated. This interception will be independent of use of glutGetModifiers. The bitmask components of the returned integer value are:

GLUT_ACTIVE_SHIFT
    Set if the Shift modifier or Caps Lock is active.

GLUT_ACTIVE_CTRL
    Set if the Ctrl modifier is active.

GLUT_ACTIVE_ALT
    Set if the Alt modifier is active.

SEE ALSO
glutSpecialFunc, glutKeyboardFunc, glutMouseFunc

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)